Author Topic: Ajax Error!!! Error with WordPress Plugin Slider Revolution  (Read 1325 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Ajax Error!!! Error with WordPress Plugin Slider Revolution
« on: April 12, 2020, 06:05:04 PM »
Right before posting this on the forum I received an email suggesting a solution.
Now I just want to post it to contribute and help somebody else having this problem because I couldn't find the solution anywhere

My original Post was this:
I have a CentOS server with CWP Pro running.
I have created two users with a domain each one.
On both domains I have installed Wordpress.
I am using Revolution Slider Plugin and I am getting an error when I try to save a Slide.
The error is: Ajax Error!!! Error.
That is happening on both domains (Both installations of WordPress)

I have searched for the solution on a lot of forums.
I have increased the Memory limit and all other options suggested by vendor and forums.
I checked the file permissions and configured as suggested everywhere (755 for folders, 644 for files, 600 for wp-config)
I have changed the PHP version and tested with all PHP version 7 including FPM and CGI variants.
I have changed the web server to Varnish, Nginx and Apache getting the same error.
I have installed the Jquery package from terminal and nothing, same error.
I have tested old versions of the plugin with same result.

THE SOLUTION:

The problem was caused by Mod-Security configuration of my CWP
I went to:
Security --> Mod Security
And change from OWASP Old
to COMODO WAF

You need CWP Pro, and $12 a year is worth it.
Compare to cPanel and Plesk, is nothing.

RP